%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
Name:           puppet-neutron
Version:        9.5.0
Release:        5%{?dist}
Summary:        Puppet module for OpenStack Neutron
License:        Apache-2.0

URL:            https://launchpad.net/puppet-neutron

Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{upstream_version}.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=9.5.0
#
Patch0001: 0001-Allow-blank-rabbit-password-if-using-transport_url.patch
Patch0002: 0002-Add-MidoNet-plugin-client-parameter.patch
Patch0003: 0003-Added-user_domain_name-and-project_domain_name-for-n.patch
Patch0004: 0004-Add-Opendaylight-ML2-configuration-options.patch
Patch0005: 0005-Warn-instead-of-fail-with-wrong-type_driver.patch
Patch0006: 0006-Addition-of-Nuage-as-mechanism-driver-for-ML2.patch
Patch0007: 0007-Addition-of-Nuage-configuration-to-neutron-server-co.patch
Patch0008: 0008-newton-Add-Puppet-package-to-bindep-for-module-build.patch
Patch0009: 0009-Switch-to-Zuul-v3-testing.patch
Patch0010: 0010-Added-parameters-to-assign-already-present-options-i.patch
Patch0011: 0011-Cisco-Remove-ping-test-for-Nexus-switches.patch
Patch0012: 0012-Run-puppet-openstack-beaker-jobs.patch

BuildArch:      noarch

Requires:       puppet-inifile
Requires:       puppet-keystone
Requires:       puppet-nova
Requires:       puppet-openstacklib
Requires:       puppet-oslo
Requires:       puppet-stdlib
Requires:       puppet-sysctl
Requires:       puppet-vswitch
Requires:       puppet >= 2.7.0

%description
Puppet module for OpenStack Neutron

%prep
%setup -q -n openstack-neutron-%{upstream_version}

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1
%patch0004 -p1
%patch0005 -p1
%patch0006 -p1
%patch0007 -p1
%patch0008 -p1
%patch0009 -p1
%patch0010 -p1
%patch0011 -p1
%patch0012 -p1

find . -type f -name ".*" -exec rm {} +
find . -size 0 -exec rm {} +
find . \( -name "*.pl" -o -name "*.sh"  \) -exec chmod +x {} +
find . \( -name "*.pp" -o -name "*.py"  \) -exec chmod -x {} +
find . \( -name "*.rb" -o -name "*.erb" \) -exec chmod -x {} +
find . \( -name spec -o -name ext \) | xargs rm -rf

%build


%install
rm -rf %{buildroot}
install -d -m 0755 %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/
cp -rp * %{buildroot}/%{_datadir}/openstack-puppet/modules/neutron/



%files
%{_datadir}/openstack-puppet/modules/neutron/


%changelog
* Mon Jan 15 2018 Steve Linabery <slinaber@redhat.com> 9.5.0-5
- Run puppet-openstack-beaker-jobs
- Cisco: Remove ping test for Nexus switches
- Added parameters to assign already present options in neutron.conf and lbaas_agent.ini
- Switch to Zuul v3 testing
- [newton] Add Puppet package to bindep, for module build

* Thu Aug 31 2017 Jason Joyce <jjoyce@redhat.com> 9.5.0-4
- Addition of Nuage configuration to neutron-server conf directory
- Addition of Nuage as mechanism driver for ML2

* Fri Aug 04 2017 Jason Joyce <jjoyce@redhat.com> 9.5.0-3
- Warn instead of fail with wrong type_driver
- Add Opendaylight ML2 configuration options

* Tue Mar 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-2
- rebase to upstream/stable/newton (rhbz#1432071)
- Added user_domain_name and project_domain_name for nova notifications
- Add MidoNet plugin client parameter
- Allow blank rabbit password if using transport_url

* Tue Feb 14 2017 Jon Schlueter <jschluet@redhat.com> 9.5.0-1
- Update to 9.5.0 (rhbz#1422100)

* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 9.4.2-2
- Xenserver patch
- Make the neutron_l3_agent provider compatible with Puppet 4
- Added retries for db_sync (lp#1628580, lp#1645474)

* Tue Nov 22 2016 Jon Schlueter <jschluet@redhat.com> 9.4.2-1
- Update to 9.4.2

* Mon Nov 21 2016 Jason Joyce <jjoyce@redhat.com> 9.4.0-5
- Release 9.4.2
- Adds OpenDaylight local OVSDB listener

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-4
- Updated Nuage package name for Mitaka release

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-3
- Release 9.4.1
- Add option to enable Neutron's SSL middleware

* Thu Oct 20 2016 Jon Schlueter <jschluet@redhat.com> 9.4.0-2
- Changes OpenDaylight OVS 'provider_mappings' to allow an array type

* Thu Sep 29 2016 Alfredo Moralejo <amoralej@redhat.com> 9.4.0-1
- Update to 9.4.0

* Tue Sep 20 2016 Haikel Guemar <hguemar@fedoraproject.org> 9.3.0-1
- Update to 9.3.0


